function cargarGraficos(){
	bloquearPantalla();
	var idEncuesta = $('#resulEncuesta').rup_table("getActiveRowId");

	var datos = {
		envio:  {encuesta:{idEncuesta: idEncuesta},
			fecRespuestaInicio : $("#fecRespuestaInicio_filter").val(),
			fecRespuestaFin : $("#fecRespuestaFin_filter").val()
		}
	};
	
	$('#divEncuestaGraf_form').empty();
	jQuery.ajax({
		type: 'POST',
		url: '/y41egGestionWar/resultados/encuesta/grafico',
		dataType: 'html',
		contentType: "application/json",
		data: JSON.stringify(datos),
		async: true,
		cache: false,
		success : function(data) {
			$("#resultadosGraf").html(data);
		}
		, error: function() {
			desbloquearPantalla();
		}
	});
}


jQuery(function($){

	$("#encuestaGrafico_toolbar").rup_toolbar({
		buttons : [ 
			{
				id : "volver",
				i18nCaption : $.rup.i18n.app.boton.volver,
				css : "fa fa-arrow-circle-o-left",
				click : function(e) {
					$('#divEncuestaGrafico').removeClass('in');
					setTimeout(function() {
						$('#divEncuestaGrafico').addClass('collapsed');
						$('#divEncuestaGrafico').addClass('d-none');
						$('#divResulEncuesta').removeClass('collapsed');
						$('#divResulEncuesta').addClass('in');
					}, 500);
				}
			}
		]
	});
	
	$("#resulEncuestaGraf_filter_form").rup_form({
		validate: {
			showErrorsInFeedback: false,
			showFieldErrorAsDefault: false,
			showFieldErrorsInFeedback: false,
			ignore: "hidden",
			rules: {
				"fecRespuestaInicio": {date:true},
				"fecRespuestaFin": {date: true, fechaMayor:"fecRespuestaInicio"}
			}
		}
	});
	
	jQuery.rup_date({
		from : "fecRespuestaInicio_filter",
		to : "fecRespuestaFin_filter"
	});
	

	
	
	$('#botFiltrarGrafico').on('click', function(){
		if($('#resulEncuestaGraf_filter_form').valid()){
			cargarGraficos
		}
	});
	
});